---
title: RTCIceCandidatePairStats.bytesReceived
slug: Web/API/RTCIceCandidatePairStats/bytesReceived
tags:
  - API
  - Candidate
  - Candidate Pair
  - ICE
  - Network
  - Networking
  - Property
  - RTCIceCandidatePairStats
  - Statistics
  - Stats
  - WebRTC
  - WebRTC API
  - bytesReceived
  - data
---
<p>{{APIRef("WebRTC")}}</p>

<p><span class="seoSummary">The {{domxref("RTCIceCandidatePairStats")}} property <strong><code>bytesReceived</code></strong> indicates the total number of payload bytes—that is, bytes which aren't overhead such as headers or padding—that hve been received to date on the connection described by the candidate pair.</span></p>

<p>The {{domxref("RTCIceCandidatePairStats.bytesSent", "bytesSent")}} property reports the number of bytes sent so far on the described connection.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>received</em> = <em>rtcIceCandidatePairStats</em>.bytesReceived;</pre>

<h3 id="Value">Value</h3>

<p>An integer value indicating the total number of bytes received so far on the connection described by this candidate pair. Only data bytes are counted; overhead such as padding, headers, and the like are not included in this count.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC Statistics Identifiers', '#dom-rtcicecandidatepairstats-bytesreceived', 'RTCIceCandidatePairStats.bytesReceived') }}</td>
   <td>{{ Spec2('WebRTC Statistics Identifiers') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceCandidatePairStats.bytesReceived")}}</p>
